﻿using System;
using System.Windows.Forms;
using System.Configuration;
using System.IO;


namespace BlendoStreamSuite
{
    public partial class configscreen : Form
    {
        ToolTip toolTip1;

        public configscreen()
        {
            InitializeComponent();

            tweetConfig.Text = Properties.Settings.Default.TweetMessage;
            twitterThreadID.Text = Properties.Settings.Default.TwitterReplyID;
            twitchstreamtitlebox.Text = Properties.Settings.Default.TwitchTitle;
            streamStartTime.Text = Properties.Settings.Default.StreamStartTime;

            countdownBox.Text = Properties.Settings.Default.CountdownText;
            startingBox.Text = Properties.Settings.Default.CountdownDone;
            countdownfileBox.Text = Properties.Settings.Default.countdownTextfile;

            datemessageBox.Text = Properties.Settings.Default.StreamDate;
            datemessagefileBox.Text = Properties.Settings.Default.dateTextfile;

            discordBox.Text = Properties.Settings.Default.discordMessage;


            tweetConfig.Select(0, 0);



            toolTip1 = new ToolTip();

            // Set up the delays for the ToolTip.
            toolTip1.AutoPopDelay = 10000;
            toolTip1.InitialDelay = 100;
            toolTip1.ReshowDelay = 100;
            // Force the ToolTip text to be displayed whether or not the form is active.
            toolTip1.ShowAlways = true;

            // Set up the ToolTip text for the Button and Checkbox.
            toolTip1.SetToolTip(this.label2, "{0} = Month\n{1} = Day\n{2} = Year");
            toolTip1.SetToolTip(this.label5, "{0} = Minutes\n{1} = Seconds");
            toolTip1.SetToolTip(this.label8, "{0} = Month\n{1} = Day\n{2} = Year");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            

            Properties.Settings.Default.TweetMessage = tweetConfig.Text;
            Properties.Settings.Default.TwitchTitle = twitchstreamtitlebox.Text;
            Properties.Settings.Default.TwitterReplyID = twitterThreadID.Text;
            Properties.Settings.Default.StreamStartTime = streamStartTime.Text;
            Properties.Settings.Default.CountdownText = countdownBox.Text;
            Properties.Settings.Default.CountdownDone = startingBox.Text;
            Properties.Settings.Default.countdownTextfile = countdownfileBox.Text;

            Properties.Settings.Default.StreamDate = datemessageBox.Text;
            Properties.Settings.Default.dateTextfile = datemessagefileBox.Text;

            Properties.Settings.Default.discordMessage = discordBox.Text;

            Properties.Settings.Default.Save();


            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string fullPath = Path.GetFullPath(countdownfileBox.Text);

            //Copy countdownfileBox to clipboard.
            if (File.Exists(fullPath))
            {
                Clipboard.SetText(fullPath);
                toolTip1.SetToolTip(this.button2, fullPath);
                return;
            }

            fullPath = Path.GetFullPath(Properties.Settings.Default.countdownTextfile);

            //Copy countdownfileBox to clipboard.
            if (File.Exists(fullPath))
            {
                Clipboard.SetText(fullPath);
                toolTip1.SetToolTip(this.button2, fullPath);
                return;
            }

            MessageBox.Show("Unable to find file path!");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            string fullPath = Path.GetFullPath(datemessagefileBox.Text);

            //Copy countdownfileBox to clipboard.
            if (File.Exists(fullPath))
            {
                Clipboard.SetText(fullPath);
                toolTip1.SetToolTip(this.button3, fullPath);
                return;
            }

            fullPath = Path.GetFullPath(Properties.Settings.Default.dateTextfile);

            //Copy countdownfileBox to clipboard.
            if (File.Exists(fullPath))
            {
                Clipboard.SetText(fullPath);
                toolTip1.SetToolTip(this.button3, fullPath);
                return;
            }

            MessageBox.Show("Unable to find file path!");
        }

        
    }
}
